// pages/api/readPoiTyp.js
import mysql from "mysql";

const dbConfig = {
  host: process.env.DB_HOST,
  user: process.env.DB_USER,
  password: process.env.DB_PASSWORD,
  database: process.env.DB_NAME,
  port: process.env.DB_PORT,
};

export default function handler(req, res) {
  if (req.method === "GET") {
    console.log("Empfangene Query-Parameter:", req.query); // Gibt alle empfangenen Query-Parameter aus

    const connection = mysql.createConnection(dbConfig);
    const query = "SELECT * FROM poiTyp"; // Vereinfachte Abfrage zum Testen

    connection.query(query, (error, results) => {
      connection.end();

      if (error) {
        console.error("Fehler beim Abfragen der Datenbank:", error);
        return res.status(500).json({ error: "Ein Fehler ist aufgetreten" });
      }

      if (results.length === 0) {
        return res.status(404).json({ message: "Keine Einträge gefunden" });
      }

      res.status(200).json(results);
    });
  } else {
    res.setHeader("Allow", ["GET"]);
    res.status(405).end(`Method ${req.method} Not Allowed`);
  }
}
